# Kibana 8.19.12 configuration for zm-rag

server.host: "0.0.0.0"
server.name: "zm-rag-kibana"

# Elasticsearch connection (no password — ES security is disabled)
elasticsearch.hosts: ["http://zm-rag-es:9200"]

# Disable telemetry / usage reporting
telemetry.enabled: false
telemetry.optIn: false

# Encryption keys (fixed to prevent session invalidation on restart, min 32 chars)
xpack.encryptedSavedObjects.encryptionKey: "zm-rag-kibana-encryption-key-2024"
xpack.security.encryptionKey: "zm-rag-kibana-security-key-dev00"
xpack.reporting.encryptionKey: "zm-rag-kibana-reporting-key-dev0"

# Disable plugins not needed (Fleet requires security enabled)
xpack.fleet.enabled: false

# Logging
logging.root.level: warn
